Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%
Target version: 4.0.0   

Resolution: Fixed   

Description

When copying a project to a new project, the Wiki pages are copied, but the attachments are not. The attachments on the wiki pages

are linked to the previous project, and if, for example, the users accessing the new project have no access to the original project, the

images return a 403 error.

Related issues:

Related to Redmine - Patch #26622: Copy version attachments (i.e. Files) alon... Closed

Associated revisions

Revision 17315 - 2018-04-28 06:44 - Go MAEDA

Copy wiki attachments on project copy (#10282).

Patch by  Mizuki ISHIKAWA.

History

#1 - 2012-02-20 19:34 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Attachment permission when copying projects to Copy wiki attachments on project copy

- Category set to Projects

#2 - 2018-01-15 07:13 - Go MAEDA

- Related to Patch #26622: Copy version attachments (i.e. Files) along with the versions on project copy added

#3 - 2018-01-15 07:25 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2018-01-19 07:40 - Mizuki ISHIKAWA

- File add_wiki_attachments_to_copy.patch added

When you copy a project, Issue is copied together with the attached file.

I think that wiki attachments should be copied just like Issue.

By applying the following patch, you can copy the attached file of the wiki.

#5 - 2018-01-19 10:36 - Go MAEDA

Mizuki, thank you for submitting the patch. I tried out your patch and it works fine for me.

I think it is natural that attachments are copied along with wiki pages. In many cases, the content of Wiki page and its attachments are inseparable

because attachments are often used to display inline images on the page. The page does not make sense without those images.

#6 - 2018-01-21 01:11 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

As I wrote in the previous note, copying Wiki without attachments breaks wiki page's appearance. This patch can prevent such problems.

Setting target version to 4.1.0.
#7 - 2018-04-27 03:51 - Go MAEDA

I think the test code should also check digest and disk_filename attributes to ensure that both attachments are identical and point to the same

physical file.

汪婷 汪, could you update the test code?

#8 - 2018-04-28 06:19 - Go MAEDA

Go MAEDA wrote:

I think the test code should also check digest and disk_filename attributes to ensure that both attachments are identical and point to the same

physical file.

 Sorry, you don't have to add such tests because no other tests which copy attachments in test/unit/project_copy_test.rb check those attributes.

#9 - 2018-04-28 06:45 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed. Thank you for improving Redmine.

Files

add_wiki_attachments_to_copy.patch 1.63 KB 2018-01-19 Mizuki ISHIKAWA
